| OpendTect 8.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
EM::HorizonUtils Class Referencefinal
EarthModel

Group of utilities for horizons: here are all functions required in od_process_attrib_em for computing data on, along or between 2 horizons. More...

`#include <emhorizonutils.h>`

## Static Public Member Functions
static void | addHorizonData (const MultiID &, const BufferStringSet &, const ObjectSet< BinIDValueSet > &)
static void | getExactCoords (od_ostream &, const MultiID &, const Pos::GeomID &, const TrcKeySampling &, ObjectSet< DataPointSet > &)
static Horizon * | getHorizon (const MultiID &)
static float | getMissingZ (const RowCol &, const Horizon *, int)
static void | getPositions (od_ostream &, const MultiID &, ObjectSet< BinIDValueSet > &)
static void | getWantedPos2D (od_ostream &, ObjectSet< MultiID > &, DataPointSet *, const TrcKeySampling &, const Interval< float > &extraz, const Pos::GeomID &)
static void | getWantedPositions (od_ostream &, ObjectSet< MultiID > &, BinIDValueSet &, const TrcKeySampling &, const Interval< float > &extraz, int nrinterpsamp, int mainhoridx, float extrawidth, Pos::Provider *provider=0)
static float | getZ (const RowCol &, const Horizon *)
static bool | getZInterval (int idi, int idc, Horizon *, Horizon *, float &topz, float &botz, int nrinterpsamp, int mainhoridx, float &lastzinterval, float extrawidth)
static bool | SolveIntersect (float &topz, float &botz, int nrinterpsamp, int is1main, float extrawidth, bool is1interp, bool is2interp)

## Detailed Description

Group of utilities for horizons: here are all functions required in od_process_attrib_em for computing data on, along or between 2 horizons.

<>

## Member Function Documentation

## ◆ addHorizonData()

static void EM::HorizonUtils::addHorizonData | ( | const MultiID & | ,
|  | const BufferStringSet & | ,
|  | const ObjectSet< BinIDValueSet > & | )
| static

## ◆ getExactCoords()

static void EM::HorizonUtils::getExactCoords | ( | od_ostream & | ,
|  | const MultiID & | ,
|  | const Pos::GeomID & | ,
|  | const TrcKeySampling & | ,
|  | ObjectSet< DataPointSet > & | )
| static

## ◆ getHorizon()

static Horizon * EM::HorizonUtils::getHorizon | ( | const MultiID & |  | ) |
| static

## ◆ getMissingZ()

static float EM::HorizonUtils::getMissingZ | ( | const RowCol & | ,
|  | const Horizon * | ,
|  | int | )
| static

## ◆ getPositions()

static void EM::HorizonUtils::getPositions | ( | od_ostream & | ,
|  | const MultiID & | ,
|  | ObjectSet< BinIDValueSet > & | )
| static

## ◆ getWantedPos2D()

static void EM::HorizonUtils::getWantedPos2D | ( | od_ostream & | ,
|  | ObjectSet< MultiID > & | ,
|  | DataPointSet * | ,
|  | const TrcKeySampling & | ,
|  | const Interval< float > & | extraz,
|  | const Pos::GeomID & | )
| static

## ◆ getWantedPositions()

static void EM::HorizonUtils::getWantedPositions | ( | od_ostream & | ,
|  | ObjectSet< MultiID > & | ,
|  | BinIDValueSet & | ,
|  | const TrcKeySampling & | ,
|  | const Interval< float > & | extraz,
|  | int | nrinterpsamp,
|  | int | mainhoridx,
|  | float | extrawidth,
|  | Pos::Provider * | provider = 0 )
| static

## ◆ getZ()

static float EM::HorizonUtils::getZ | ( | const RowCol & | ,
|  | const Horizon * | )
| static

## ◆ getZInterval()

static bool EM::HorizonUtils::getZInterval | ( | int | idi,
|  | int | idc,
|  | Horizon * | ,
|  | Horizon * | ,
|  | float & | topz,
|  | float & | botz,
|  | int | nrinterpsamp,
|  | int | mainhoridx,
|  | float & | lastzinterval,
|  | float | extrawidth )
| static

## ◆ SolveIntersect()

static bool EM::HorizonUtils::SolveIntersect | ( | float & | topz,
|  | float & | botz,
|  | int | nrinterpsamp,
|  | int | is1main,
|  | float | extrawidth,
|  | bool | is1interp,
|  | bool | is2interp )
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025